Bug 75797 - Kernel fails to compile
Kernel fails to compile
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-12 13:56 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-05 11:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-12 13:56:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Got some errors when do make bzImage

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make mrproper
2.make menuconfig (looks terrible, select boxes are repeated and sometimes you
dont know if it is activated or not)
3.make dep
4. make bzImage
	

Actual Results:  See errors below:

Additional info:

Here are the errors:

En el fichero inclumdo de /usr/src/linux-2.4.18-14/include/linux/wait.h:13,
                 de /usr/src/linux-2.4.18-14/include/linux/fs.h:12,
                 de /usr/src/linux-2.4.18-14/include/linux/capability.h:17,
                 de /usr/src/linux-2.4.18-14/include/linux/binfmts.h:5,
                 de /usr/src/linux-2.4.18-14/include/linux/sched.h:9,
                 de /usr/src/linux-2.4.18-14/include/linux/mm.h:4,
                 de sched.c:19:
/usr/src/linux-2.4.18-14/include/linux/kernel.h:10:20: stdarg.h: No existe el
fichero o el directorio
En el fichero inclumdo de /usr/src/linux-2.4.18-14/include/linux/wait.h:13,
                 de /usr/src/linux-2.4.18-14/include/linux/fs.h:12,
                 de /usr/src/linux-2.4.18-14/include/linux/capability.h:17,
                 de /usr/src/linux-2.4.18-14/include/linux/binfmts.h:5,
                 de /usr/src/linux-2.4.18-14/include/linux/sched.h:9,
                 de /usr/src/linux-2.4.18-14/include/linux/mm.h:4,
                 de sched.c:19:
/usr/src/linux-2.4.18-14/include/linux/kernel.h:73: error de decodificacisn
antes de "va_list"
/usr/src/linux-2.4.18-14/include/linux/kernel.h:73: aviso: la declaracisn de la
funcisn no es un prototipo
/usr/src/linux-2.4.18-14/include/linux/kernel.h:76: error de decodificacisn
antes de "va_list"
/usr/src/linux-2.4.18-14/include/linux/kernel.h:76: aviso: la declaracisn de la
funcisn no es un prototipo
/usr/src/linux-2.4.18-14/include/linux/kernel.h:80: error de decodificacisn
antes de "va_list"
/usr/src/linux-2.4.18-14/include/linux/kernel.h:80: aviso: la declaracisn de la
funcisn no es un prototipo
sched.c: En la funcisn `set_cpus_allowed':
sched.c:1730: aviso: uso deprecado de la etiqueta al final de la declaracisn
compuesta
make[2]: *** [sched.o] Error 1
make[2]: Saliendo directorio `/usr/src/linux-2.4.18-14/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Saliendo directorio `/usr/src/linux-2.4.18-14/kernel'
make: *** [_dir_kernel] Error 2
Comment 1 Arjan van de Ven 2002-10-12 15:34:43 EDT
please try doing
export LANG=C
first
Comment 2 Arjan van de Ven 2003-04-05 11:36:13 EST
closing due to long inactivity in NEEDINFO state

Note You need to log in before you can comment on or make changes to this bug.